<template>
    <div>
        <div class="content">
            <div class="flex-arround">
                <div>项目编号：{{ projectCode }}</div>
                <div>项目名称：{{ projectName }}</div>
                <div v-if="state">发布时间：{{ detail.createTime }}</div>
            </div>
            <!-- 标题 -->
            <div class="title">
                <div class="flex-center">{{title}}</div>
            </div>
            <div class="detail1" v-if="state">
                <div v-html="detail.content"></div>
                <div class="enclosure flex-item">
                    <div style="margin-right: 30px">相关附件</div>
                    <ul v-if="detail.accessoryDOList.length>0">
                        <li v-for="(item, i) in detail.accessoryDOList" :key="i">
                            <a href="item.accessoryUrl">{{ item.fileName }}</a>
                        </li>
                    </ul>
                    <div v-else>空</div>
                </div>
            </div>
            <div v-else class="detail1">未找到该公告详情！</div>
            <div class="centerButton">
                <el-button @click="back">返回</el-button>
            </div>
        </div>
    </div>
</template>

<script>
import { noticeWin } from '@api/supply/bid';
export default {
    components: {
    },
    data() {
        return {
            projectCode: '',
            projectName: '',
            state: true,
            detail: ''
        };
    },
    methods: {
        back() {
            this.$router.go(-1);
        },
        async getnoticeWin() {
            try {
                let projectId = localStorage.getItem('projectId');
                const { data, code } = await noticeWin(projectId);
                if (code == 200) {
                    console.log(data);
                    this.detail = data;
                } else {
                    this.state = false;
                }
            } catch (err) {
                console.log(err);
            }
        }
    },
    created() {
        this.projectCode = localStorage.getItem('projectCode');
        this.projectName = localStorage.getItem('projectName');
        this.getnoticeWin();
    }
};
</script>


<style scoped>
.detail1 {
    background: #fff;

    margin-top: 30px;
}

.content > h1 {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 40px;
    font-weight: bold;
}

.content > .img {
    width: 600px;
    margin: 0 auto;
}

.enclosure {
    margin: 50px 0;
}
.title{
    margin-top:50px;
}
</style>